org.eclipse.gmt.modisco.infra.facet.core.exception

## Class ModiscoFacetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.gmt.modisco.infra.facet.core.exception.ModiscoFacetException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  StructuralConstraintViolationException

Deprecated.
Replaced by EMF Facet

    @Deprecated
    public class ModiscoFacetException
    extends java.lang.Exception

Author:
  Gregoire DUPE (Mia-Software)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModiscoFacetException()` Deprecated.
`ModiscoFacetException(java.lang.String message)` Deprecated.
`ModiscoFacetException(java.lang.String message, java.lang.Throwable cause)` Deprecated.
`ModiscoFacetException(java.lang.Throwable cause)` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModiscoFacetException

    public ModiscoFacetException()

Deprecated.

#### ModiscoFacetException

    public ModiscoFacetException(java.lang.String message)

Deprecated.

#### ModiscoFacetException

    public ModiscoFacetException(java.lang.Throwable cause)

Deprecated.

#### ModiscoFacetException

    public ModiscoFacetException(java.lang.String message,
                                 java.lang.Throwable cause)

Deprecated.